# C/C++ File Properties

This section describes properties for a Source Files in CDT project

- Resource
- C/C++ Build
  - Settings
    - Tool chains setting tab
    - Build Steps tab
  - Tool chain editor page
- C/C++ General
  - Language Mappings page
  - Paths and Symbols
    - Includes tab
    - Symbols tab
    - Data Hierarchy tab
  - Preprocessor Include Paths, Macros, etc.
- Run/Debug Settings page